# [OmniOS-discuss] Virtual USB media boot order

Machine Man gearboxes at outlook.com
Thu Aug 10 23:26:13 UTC 2017

- Previous message: [OmniOS-discuss] ANNOUNCEMENT OmniOSce r151022l
- Next message: [OmniOS-discuss] ANNOUNCEMENT - OmniOS r151022m - Security Update!
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    When I add a USB disk from an image it always shows up as the 1st disk so the boot order using "c" will always select USB.

    How do I boot from the 1st hard drive without disconnecting USB?

    -device piix3-usb-uhci,id=uhci \
    -drive file=$HDD1,if=virtio,index=0 \
    -drive file=$HDD2,if=virtio,index=1 \
    -drive file=$CD1,media=cdrom,if=ide,index=2 \
    -drive file=$CD2,media=cdrom,if=ide,index=3 \
    -drive if=none,id=usb_stick,file=/rpool/virtualmachines/qa-tableau04/usb.img,index=4 \
    -device usb-storage,bus=uhci.0,drive=usb_stick \

    I have also tried with using the bootindex option in -device but it seems that you have to use -boot "strict" option which is not supported in Illumos.

    Using the -boot "menu=on" option I can select the correct boot device, but at a loss why index doesnt work and also attaching drives with -device so that I can use the bootindex option doesnt make a difference.

    I am starting to get the feeling that some aspects may be hard coded.

    -------------- next part --------------
    An HTML attachment was scrubbed...
    URL: <http://lists.omniti.com/pipermail/omnios-discuss/attachments/20170810/1f0a5a21/attachment-0001.html>

- Previous message: [OmniOS-discuss] ANNOUNCEMENT OmniOSce r151022l
- Next message: [OmniOS-discuss] ANNOUNCEMENT - OmniOS r151022m - Security Update!
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list